<?php
 /**
 * Magic CMS 网站管理员组
 * ============================================================================
 * Copyright 2014 大秦科技，并保留所有权利。
 * 网站地址: http://www.qintech.net；
 * ----------------------------------------------------------------------------
 * 未获商业授权之前，不得将Magic CMS用于商业用途（包括但不限于企业网站、经营性网站
 * 以营利为目的或实现盈利的网站）未经官方许可，禁止在Magic CMS的整体或任何部分基础
 * 上以发展任何派生版本、修改版本或第三方版本用于重新分发。如果您未能遵守本协议的
 * 条款，您的授权将被终止，所被许可的权利将被收回，并承担相应法律责任。
 * ============================================================================
 * Date:2014/12/31
**/
class GroupModule extends CommonModule{

	public function index(){
		$role= M('role')->order('rid asc')->all();
		$this->assign('role', $role);
		$this->display('admin/group-index');
	}

	public function edit(){
		$rid    = Q('get.rid','','intval');
		if (!empty($rid)){
			$role = M('role')->where("rid=$rid")->find();
			$this->assign('role',$role);
		}
		$this->display('admin/group-edit');
	}

	public function save(){
		if (IS_POST){
			$data  = Q('post.');
			$data['pubtime'] = time();
			$db    = M('role');
			$db->validate = array(
					array('name', 'nonull', '请输入名称')
				);
			if (!$db->create($data)){$this->error($db->error);}
			$db->replace($data);
			$this->success('保存成功','?r=admin-group');
		}else{
			$this->error('非法请求');
		}
	}

	public function del(){
		$rid     = Q('get.rid');
		if (empty($rid)){$this->error('参数错误');}
		$result = M('role')->del($rid);
		if ($result){
			$this->success('删除成功',$_SERVER['HTTP_REFERER']);
		}else{
			$this->error('删除失败',$_SERVER['HTTP_REFERER']);
		}
	}

}